# To reproduce the data needed for Figure 6 in associated Physiome paper,
# execute this script in the Python console in OpenCOR. This can be done
# with the following commands at the prompt in the OpenCOR Python console:
#
#     In [1]: cd path/to/folder_this_file_is_in
#     In [2]: %run Fig06.py
#

import opencor as opencor

simulation = opencor.open_simulation("Fig06.sedml")

# reset everything in case we are running interactively and have existing results
simulation.reset(True)

# clear the results
simulation.clear_results()

# run once to get to a steady starting point
simulation.run()
simulation.clear_results()

# and run the steady-state simulation
simulation.run()
